# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2007-2014 ASPerience SARL (<http://www.asperience.fr>).
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
	"name": "ASPerience - MRP",
	"version": "8.0",
	"author": "ASPerience",
	"website": "http://www.asperience.fr",
	"sequence": 0,
	"certificate": "",
	"license": "",
	"depends": [
		"mrp",
		"mrp_byproduct",
		"mrp_operations",
		"product",
		"stock",
		"asperience_product_attributes",
	],
	"category": "Generic Modules/ASPerience",
	"complexity": "easy",
	"description": """
BOM tree management, trees of supplies from the configurator and trees production.
Filtering system of nomenclature by properties, from supplies.
Management of product properties.
	""",
	"data": [
		"security/ir.model.access.csv",
		"company_view.xml",
		"product_view.xml",
		"procurement_view.xml",
		"mrp_view.xml",
		"stock_production_view.xml",
		"mrp_workflow.xml",
		"mrp_report.xml",
		"mrp_subproduct_view.xml",
		"mrp_data.xml",
	],
	"demo": [
	],
	"test": [
	],
	"js": [
	],
	"css": [
	],
	"qweb": [
	],
	"demo_xml": [
	],
	"images": [
	],
	"auto_install": False,
	"installable": True,
	"application": False,

}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: