# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2007-2014 ASPerience SARL (<http://www.asperience.fr>).
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from openerp.osv import fields, osv
#import openerp.netsvc
#from openerp.tools import config
#from openerp.tools.translate import _
#import openerp.tools
#from mx import DateTime
#import time
#import datetime

class stock_picking(osv.osv):
    _inherit = "stock.picking"
    _columns = {
    }
    
    def action_explode(self, cr, uid, ids, context={}):
        return ids
    
    _defaults = {
    }
stock_picking()

class stock_move(osv.osv):
    _inherit = "stock.move"
    _columns = {
    }
    def action_assign(self, cr, uid, ids, *args):
        todo1 = []
        todo2 = []
        todo3 = []
        for move in self.browse(cr, uid, ids):
            if move.state in ('confirmed', 'waiting', 'assigned'):
                if move.picking_id.type in ('out','delivery') and move.product_id.track_outgoing:
                    todo1.append(move.id)
                elif move.picking_id.type in ('internal',):
                    todo2.append(move.id)
                else:
                    todo3.append(move.id)
        res = self.check_assign_out_delivery(cr, uid, todo1)
        res += self.check_assign(cr, uid, todo2) # A VOIR POUR UNE RECHERCHE DE LOTS ???
        res += self.check_assign(cr, uid, todo3)
        return res
    
    def action_explode(self, cr, uid, ids, context={}):
        return ids
    
    def _action_explode(self, cr, uid, move, context={}):
#        if move.product_id.supply_method=='produce' and move.product_id.procure_method=='make_to_order':
#            bis = self.pool.get('mrp.bom').search(cr, uid, [
#                ('product_id','=',move.product_id.id),
#                ('bom_id','=',False),
#                ('type','=','phantom')])
#            if bis:
#                factor = move.product_qty
#                bom_point = self.pool.get('mrp.bom').browse(cr, uid, bis[0])
#                res = self.pool.get('mrp.bom')._bom_explode(cr, uid, bom_point, factor, [])
#                dest = move.product_id.product_tmpl_id.property_stock_production.id
#                state = 'confirmed'
#                if move.state=='assigned':
#                    state='assigned'
#                for line in res[0]:
#                    valdef = {
#                        'picking_id': move.picking_id.id,
#                        'product_id': line['product_id'],
#                        'product_uom': line['product_uom'],
#                        'product_qty': line['product_qty'],
#                        'product_uos': line['product_uos'],
#                        'product_uos_qty': line['product_uos_qty'],
#                        'move_dest_id': move.id,
#                        'state': state,
#                        'name': line['name'],
#                        'location_dest_id': dest,
#                        'move_history_ids': [(6,0,[move.id])],
#                        'move_history_ids2': [(6,0,[])],
#                        'procurements': []
#                    }
#                    mid = self.pool.get('stock.move').copy(cr, uid, move.id, default=valdef)
#                    prodobj = self.pool.get('product.product').browse(cr, uid, line['product_id'], context=context)
#                    proc_id = self.pool.get('procurement.order').create(cr, uid, {
#                        'name': (move.picking_id.origin or ''),
#                        'origin': (move.picking_id.origin or ''),
#                        'date_planned': move.date_planned,
#                        'product_id': line['product_id'],
#                        'product_qty': line['product_qty'],
#                        'product_uom': line['product_uom'],
#                        'product_uos_qty': line['product_uos'] and line['product_uos_qty'] or False,
#                        'product_uos':  line['product_uos'],
#                        'location_id': move.location_id.id,
#                        'procure_method': prodobj.procure_method,
#                        'move_id': mid,
#                    })
#                    wf_service = netsvc.LocalService("workflow")
#                    wf_service.trg_validate(uid, 'procurement.order', proc_id, 'button_confirm', cr)
##                self.pool.get('stock.move').write(cr, uid, [move.id], {
##                    'location_id': move.location_dest_id.id,
##                    'auto_validate': True,
##                    'picking_id': False,
##                    'location_id': dest,
##                    'state': 'waiting'
##                })
#                for m in self.pool.get('procurement.order').search(cr, uid, [('move_id','=',move.id)], context):
#                    wf_service = netsvc.LocalService("workflow")
#                    wf_service.trg_validate(uid, 'procurement.order', m, 'button_wait_done', cr)
        return True

stock_move()
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: