# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2007-2014 ASPerience SARL (<http://www.asperience.fr>).
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from openerp.osv import fields,osv
from openerp.tools.translate import _
import re
import openerp.addons.decimal_precision as dp

class product_product(osv.osv):
    _inherit ='product.product'

    def unlink(self, cr, uid, ids, context=None):
        if not isinstance(ids,list):
            ids = [ids]
        if self.pool.get('sale.order.line') and self.pool.get('sale.order.line').search(cr,uid,[('product_id','in',ids)]):
            raise osv.except_osv(_('Invalid action !'), _('Cannot delete Product which are used in Order !'))
        
        return super(product_product, self).unlink(cr, uid, ids, context)
    
product_product()
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: